local player = {
  collision = false,
  size = 32,
  x = 0,
  y = 0,
  speedX = 0,
  speedY = 0,
  maxSpeed = 1000,
  flapForce = -screen.height * 1
}

function player:initialize(x, y)
  self.x = x
  self.y = y 
end

function player:update(dt)
  -- update position
  self.speedY = self.speedY + GRAVITY * dt
  self.y = self.y + self.speedY * dt
  
  if self.speedY > self.maxSpeed then
    self.speedY = self.maxSpeed
  end
  
  if (self.y + self.size) > screen.height then
    self.speedY = 0
    self.y = screen.height - self.size
  end
end

function player:draw()
  if (self.collision) then
    love.graphics.setColor(255,0,0)
  else 
    love.graphics.setColor(255,255,255)
  end
  
  love.graphics.rectangle('fill', self.x, self.y, self.size, self.size)
end

function player:flap()
  self.speedY = self.flapForce
end

return player