local wall = {
  array = {},
  tick = 0,
  spawn_rate = 1.5,
  gap = screen.height / 4,
  width = screen.width / 10,
  speed = screen.width / 3}

function wall:update(dt)
  -- countdown to trigger new wall spawn
  self.tick = self.tick + dt
	if self.tick > self.spawn_rate then
		wall:spawn(screen.width, love.math.random(10, screen.height - self.gap - 10))
		self.tick = 0
	end
  
  for i,v in ipairs(self.array) do
		local remove = false
		for _,s in ipairs(v) do
			s.x = s.x - self.speed * dt
			if (s.x + s.width) < 0 then
				remove = true
			end
		end
		if remove then
			table.remove(self.array, i)
		end
	end
end

function wall:draw()
  for i,v in ipairs(self.array) do
		for _,s in ipairs(v) do
      love.graphics.setColor(255,255,255)
			love.graphics.rectangle("fill", s.x, s.y, s.width, s.height)
			end
	end
end

function wall:spawn(x, y)
  self.array[#self.array + 1] = {
    {x = x, y = 0, width = self.width, height = y},
    {x = x, y = y + self.gap, width = self.width, height = screen.height - (y + self.gap)}
  }
end

return wall